## haskell-augeas 0.4.0

=== Makefile ===
## file: Makefile

## Haskell bindings for the Augeas library
## Copyright (c) 2009-2011, Jude Nagurney

## This library is free software; you can redistribute it and/or modify it 
## under the terms of the GNU Lesser General Public License as published by 
## the Free Software Foundation; either version 3 of the License, or 
## (at your option) any later version.

## This library is distributed in the hope that it will be useful, but 
## WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY 
## or FITNESS FOR A PARTICULAR PURPOSE. See the GNU Lesser General Public 
## License for more details.

## You should have received a copy of the GNU Lesser General Public License 
## along with this library; if not, write to the Free Software Foundation, 
## Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA 

## Contact the author at 
## jude@pwan.org 

default: library

Config.h.in : configure.ac

	autoreconf

library: Config.h.in
	runghc Setup configure
	runghc Setup build

install: library
	runghc Setup install

copy: library
	runghc Setup copy

register: library
	runghc Setup register

unregister: library
	runghc Setup unregister

clean:
	rm -rf dist
	rm -rf Config.h config.log config.status
	rm -rf autom4te.cache

sdist:
	runghc Setup.hs sdist

test: library
	runghc Setup.hs test

docs:
	runghc Setup.hs haddock

=== debian/changelog ===
haskell-augeas (0.4.0-1ubuntu2) precise; urgency=low

  * No-change rebuild for new GHC ABIs (the remaining Ubuntu change
    needs to be sent to Debian to enable this package to be synced once
    more)

 -- Iain Lane <laney@ubuntu.com>  Sun, 11 Mar 2012 20:56:43 +0000

haskell-augeas (0.4.0-1ubuntu1) precise; urgency=low

  * Fix FTBFS with augeas 0.10 (LP: #935164):
    + new patch using PKG_CHECK_MODULES in configure.ac to check
      augeas header files.
    + debian/control: add dh-autoreconf and libxml-2.0 as build-dep.
    + debian/rules: include autoreconf cdbs rules.

 -- Leo Iannacone <l3on@ubuntu.com>  Sun, 19 Feb 2012 20:28:08 +0100

haskell-augeas (0.4.0-1build1) precise; urgency=low

  * No-change rebuild for new GHC ABIs

 -- Iain Lane <laney@ubuntu.com>  Tue, 01 Nov 2011 14:10:43 +0000

haskell-augeas (0.4.0-1) unstable; urgency=low

  [ Marco Silva ]
  * Use ghc instead of ghc6

  [ Joachim Breitner ]
  * New upstream release

 -- Joachim Breitner <nomeata@debian.org>  Sat, 18 Jun 2011 10:37:31 +0200

haskell-augeas (0.3.4-1) unstable; urgency=low

  * Initial release.

 -- Joachim Breitner <nomeata@debian.org>  Wed, 24 Nov 2010 11:23:33 +0100

=== debian/control ===
Source: haskell-augeas
Section: haskell
Priority: extra
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Haskell Group <pkg-haskell-maintainers@lists.alioth.debian.org>
Uploaders: Joachim Breitner <nomeata@debian.org>
Build-Depends: debhelper (>= 7)
  , cdbs
  , dh-autoreconf
  , haskell-devscripts (>= 0.7)
  , ghc
  , ghc-prof
  , libaugeas-dev
  , libxml2-dev
  , pkg-config
Build-Depends-Indep: ghc-doc
Standards-Version: 3.9.1
Homepage: http://hackage.haskell.org/package/augeas
Vcs-Darcs: http://darcs.debian.org/pkg-haskell/haskell-augeas
Vcs-Browser: http://darcs.debian.org/cgi-bin/darcsweb.cgi?r=pkg-haskell/haskell-augeas

Package: libghc-augeas-dev
Architecture: any
Depends: ${haskell:Depends}
  , ${shlibs:Depends}
  , ${misc:Depends}
  , libaugeas-dev
Recommends: ${haskell:Recommends}
Suggests: ${haskell:Suggests}
Provides: ${haskell:Provides}
Description: Haskell bindings for the augeas library
 This package provides a library for the Haskell programming language.
 See http://www.haskell.org/ for more information on Haskell.
 .
 This package contains Haskell bindings for the functions and data structures
 defined in the augeas C library.

Package: libghc-augeas-prof
Architecture: any
Depends: ${haskell:Depends}
  , ${misc:Depends}
Recommends: ${haskell:Recommends}
Suggests: ${haskell:Suggests}
Provides: ${haskell:Provides}
Description: Haskell bindings for the augeas library; profiling libraries
 This package provides a library for the Haskell programming language,
 compiled for profiling.
 See http://www.haskell.org/ for more information on Haskell.
 .
 This package contains Haskell bindings for the functions and data structures
 defined in the augeas C library.

Package: libghc-augeas-doc
Section: doc
Architecture: all
Depends: ${misc:Depends}, ${haskell:Depends}
Recommends: ${haskell:Recommends}
Suggests: ${haskell:Suggests}
Description: Haskell bindings for the augeas library; documentation
 This package provides the documentation for a library for the Haskell
 programming language.
 See http://www.haskell.org/ for more information on Haskell.
 .
 This package contains Haskell bindings for the functions and data structures
 defined in the augeas C library.

=== debian/rules ===
#!/usr/bin/make -f

DEB_INSTALL_DOCS_ALL = 
DEB_INSTALL_DOCS_libghc-augeas-doc = THANKS

clean::
	make clean

include /usr/share/cdbs/1/rules/autoreconf.mk 
include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/class/hlibrary.mk

## haskell-augeas 0.6.1

=== Makefile ===
--- 
+++ 
@@ -1,7 +1,7 @@
 ## file: Makefile
 
 ## Haskell bindings for the Augeas library
-## Copyright (c) 2009-2011, Jude Nagurney
+## Copyright (c) 2009-2012, Jude Nagurney
 
 ## This library is free software; you can redistribute it and/or modify it 
 ## under the terms of the GNU Lesser General Public License as published by

=== debian/changelog ===
haskell-augeas (0.6.1-4) unstable; urgency=low

  * Move Haskell blurb to the end of the description, reduces the impact
    of #708703

 -- Joachim Breitner <nomeata@debian.org>  Sat, 25 May 2013 23:51:59 +0200

haskell-augeas (0.6.1-3) unstable; urgency=low

  * Enable compat level 9
  * Use substvars for Haskell description blurbs

 -- Joachim Breitner <nomeata@debian.org>  Fri, 24 May 2013 12:49:51 +0200

haskell-augeas (0.6.1-2) experimental; urgency=low

  * Depend on haskell-devscripts 0.8.13 to ensure this packages is built
    against experimental
  * Bump standards version, no change

 -- Joachim Breitner <nomeata@debian.org>  Sun, 14 Oct 2012 12:00:12 +0200

haskell-augeas (0.6.1-1) unstable; urgency=low

  * New upstream version.
  * Bump to Standards-Version 3.9.3.

 -- Clint Adams <clint@debian.org>  Sat, 19 May 2012 15:30:23 -0400

haskell-augeas (0.4.0-2) unstable; urgency=low

  * Sourceful upload to rebuild doc package

 -- Iain Lane <laney@debian.org>  Wed, 08 Feb 2012 10:44:36 +0000

=== debian/control ===
Source: haskell-augeas
Section: haskell
Priority: extra
Maintainer: Debian Haskell Group <pkg-haskell-maintainers@lists.alioth.debian.org>
Uploaders: Joachim Breitner <nomeata@debian.org>
Build-Depends: debhelper (>= 9)
  , cdbs
  , haskell-devscripts (>= 0.8.15)
  , ghc
  , ghc-prof
  , libaugeas-dev
  , pkg-config
Build-Depends-Indep: ghc-doc
Standards-Version: 3.9.4
Homepage: http://hackage.haskell.org/package/augeas
Vcs-Darcs: http://darcs.debian.org/pkg-haskell/haskell-augeas
Vcs-Browser: http://darcs.debian.org/cgi-bin/darcsweb.cgi?r=pkg-haskell/haskell-augeas

Package: libghc-augeas-dev
Architecture: any
Depends: ${haskell:Depends}
  , ${shlibs:Depends}
  , ${misc:Depends}
  , libaugeas-dev
Recommends: ${haskell:Recommends}
Suggests: ${haskell:Suggests}
Provides: ${haskell:Provides}
Description: Haskell bindings for the augeas library${haskell:ShortBlurb}
 This package contains Haskell bindings for the functions and data structures
 defined in the augeas C library.
 .
 ${haskell:Blurb}

Package: libghc-augeas-prof
Architecture: any
Depends: ${haskell:Depends}
  , ${misc:Depends}
Recommends: ${haskell:Recommends}
Suggests: ${haskell:Suggests}
Provides: ${haskell:Provides}
Description: Haskell bindings for the augeas library${haskell:ShortBlurb}
 This package contains Haskell bindings for the functions and data structures
 defined in the augeas C library.
 .
 ${haskell:Blurb}

Package: libghc-augeas-doc
Section: doc
Architecture: all
Depends: ${misc:Depends}, ${haskell:Depends}
Recommends: ${haskell:Recommends}
Suggests: ${haskell:Suggests}
Description: Haskell bindings for the augeas library${haskell:ShortBlurb}
 This package contains Haskell bindings for the functions and data structures
 defined in the augeas C library.
 .
 ${haskell:Blurb}

=== debian/rules ===
--- 
+++ 
@@ -6,6 +6,5 @@
 clean::
 	make clean
 
-include /usr/share/cdbs/1/rules/autoreconf.mk 
 include /usr/share/cdbs/1/rules/debhelper.mk
 include /usr/share/cdbs/1/class/hlibrary.mk

=== debian/watch ===
version=3
opts="downloadurlmangle=s|archive/([\w\d_-]+)/([\d\.]+)/|archive/$1/$2/$1-$2.tar.gz|,\
filenamemangle=s|(.*)/$|augeas-$1.tar.gz|" \
    http://hackage.haskell.org/packages/archive/augeas \
    ([\d\.]*\d)/
